puppet-confluence module

asked 2016-10-11 07:45:45 -0500

Hey,

I'm rather new to puppet so please have mercy, if my question is too stupid^^

Trying to install the module puppet confluence i allways run into the same error and I have no clue why:

Oct 11 14:35:56 testkaninchen puppet: /etc/facter/facts.d/confluence_facts.sh: line 12: perl: command not found
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: Download file checksum mismatch
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Install/Archive[/tmp/atlassian-confluence-5.10.7.tar.gz]/ensure) change from absent to present failed: Download file checksum mismatch
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Install/File[/opt/confluence]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Install/File[/opt/confluence]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Install/Exec[chown_/data/confluence/atlassian-confluence-5.10.7]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Install/Exec[chown_/data/confluence/atlassian-confluence-5.10.7]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/File[/data/confluence/atlassian-confluence-5.10.7/bin/setenv.sh]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/File[/data/confluence/atlassian-confluence-5.10.7/bin/setenv.sh]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/File[/data/confluence/atlassian-confluence-5.10.7/confluence/WEB-INF/classes/confluence-init.properties]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/File[/data/confluence/atlassian-confluence-5.10.7/confluence/WEB-INF/classes/confluence-init.properties]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/Augeas[/data/confluence/atlassian-confluence-5.10.7/conf/server.xml]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Config/Augeas[/data/confluence/atlassian-confluence-5.10.7/conf/server.xml]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Service/File[/usr/lib/systemd/system/confluence.service]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Service/File[/usr/lib/systemd/system/confluence.service]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Service/Service[confluence]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence::Service/Service[confluence]) Skipping because of failed dependencies
Oct 11 14:36:15 testkaninchen puppet-agent[10235]: (/Stage[main]/Confluence/Anchor[confluence::end]) Dependency Archive[/tmp/atlassian-confluence-5.10.7.tar.gz] has failures: true
Oct ...
(more)
edit retag flag offensive close merge delete